Results 1 to 5 of 5
Discuss [1.1.3 OTB] UK o2 Question at the iPhone "2G" (Rev. 1) - Hackint0sh.org; Hello All, i have read as many threads as i can find on ref the ...
  1. #1
    Newbie Array

    Join Date
    Jan 2008
    Posts
    1
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default [1.1.3 OTB] UK o2 Question

    Hello All,
    i have read as many threads as i can find on ref the OOB1.1.3 UK iphone, there are many references, but can some someone give a definitive answer to the the following:

    If i buy a 1.1.3 OOB today can i jailbreak/unlock it so that i can use my O2 simplicity pay as you go SIm ? rather than the O2 contract, if so can anyone link me to the best walkthrough.

    Cheers for any help



  2. #2
    Senior Professional Array

    Join Date
    Feb 2008
    Posts
    119
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    12

    Default

    There are reports of a HW unlock but this is very much still at a developer stage and not in the public domian and not for anyone lesser than an expert.

    So in lay terms, no 1.1.3 cannot be unlocked yet.

  3. #3
    Professional Array

    Join Date
    Jan 2008
    Posts
    60
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    10

    Default

    I'm in the same boat, in that I'm 1.1.2 OTB but itching to properly upgrade.

    The phone doesn't need to be unlocked, exactly; from what I understand we simply need a patched version of lockdownd from 1.1.3. (As your firmware is 1.1.3, the lockdownd version has to match; for those of us lucky enough to be 1.1.2 OTB the dev-team's 'soft upgrade' to 1.1.3 only updates the software, leaving the firmware at 1.1.2 and thus allowing the continued use of the patched lockdownd from 1.1.2). Presumably, this exists, as the dev team have jailbroken 1.1.3 for reals (not just the soft upgrade); but to my knowledge it hasn't been released.

    That means you're looking at a hardware bootloader downgrade; not for the fainthearted or the clumsy. I don't know the differences between doing this on 1.1.3 as opposed to 1.1.2, but it's technically possible because it's been done.
    Last edited by Hawkman; 02-02-2008 at 10:42 AM.

  4. #4
    Professional Array

    Join Date
    Dec 2007
    Posts
    63
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    10

    Default

    Can't you just downgrade to 1.1.1, jailbreak, upgrade to 1.1.2, jailbreak then install the soft upgrade. That should leave you with a 1.1.3 that allows you to use your 02 sim.

    I think.

    I'm going to give it ago in a moment, im going to buy one from the 02 shop now. Will post back ASAP.

  5. #5
    Professional Array

    Join Date
    Jan 2008
    Posts
    60
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    10

    Default

    No. Like I said, 1.1.3 firmware (which cannot be changed in BL4.6 phones, without hardware bootloader downgrade) requires 1.1.3 lockdownd (you'll have 1.1.2 lockdownd after the soft upgrade). At least, according to all the reports I've read. [edit] It'd be nice to be wrong.


 

 

Similar Threads

  1. [Question] I got no IMEI situation, and got a question...
    By leximus in forum iPhone "2G" (Rev. 1)
    Replies: 0
    Last Post: 04-04-2008, 10:09 PM
  2. Replies: 1
    Last Post: 03-10-2008, 08:02 PM
  3. question about maps app. simple question
    By 360boi in forum General
    Replies: 0
    Last Post: 10-25-2007, 08:50 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 07:27 AM.
twitter, follow us!